Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 690284 - games-strategy/triplea-1.8.0.9-r1 : * External commands disallowed while sourcing ebuild: eshopts_push -o noglob
Summary: games-strategy/triplea-1.8.0.9-r1 : * External commands disallowed while sou...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 12:20 UTC by Toralf Förster
Modified: 2019-08-14 08:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.41 KB, text/plain)
2019-07-20 12:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,186.69 KB, text/plain)
2019-07-20 12:20 UTC, Toralf Förster
Details
environment (environment,152.92 KB, text/plain)
2019-07-20 12:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.52 KB, application/x-bzip)
2019-07-20 12:20 UTC, Toralf Förster
Details
games-strategy:triplea-1.8.0.9-r1:20190720-103259.log (games-strategy:triplea-1.8.0.9-r1:20190720-103259.log,2.54 KB, text/plain)
2019-07-20 12:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-07-20 12:20:03 UTC
Calculating dependencies   * ERROR: dev-ruby/tty-cursor-0.7.0::gentoo failed (depend phase):
 *   External commands disallowed while sourcing ebuild: eshopts_push -o noglob
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20190715-231820

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO games-strategy/triplea
[ebuild  N    ] games-strategy/triplea-1.8.0.9-r1  USE="-test"
Comment 1 Toralf Förster gentoo-dev 2019-07-20 12:20:06 UTC
Created attachment 583766 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-07-20 12:20:09 UTC
Created attachment 583768 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-07-20 12:20:12 UTC
Created attachment 583770 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-07-20 12:20:15 UTC
Created attachment 583772 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-07-20 12:20:17 UTC
Created attachment 583774 [details]
games-strategy:triplea-1.8.0.9-r1:20190720-103259.log
Comment 6 Stefan Strogin gentoo-dev 2019-08-14 04:03:20 UTC
Strange bug. In the log it is written:
/var/tmp/portage/games-strategy/triplea-1.8.0.9-r1/work/triplea_1_8_0_9/build.xml:99: Ant version 1.6.5 or greater is required

Is something wrong with the tinderbox?
Comment 7 James Le Cuirot gentoo-dev 2019-08-14 08:59:40 UTC
(In reply to Stefan Strogin from comment #6)
> Is something wrong with the tinderbox?

No, I've reproduced it and it's because build.xml has a dumb version whitelist. Unsurprisingly, this package has fallen way behind and upstream are now using Gradle, which is almost impossible to deal with in ebuilds. Even if that were dealt with, it's probably got a raft of new Java dependencies that will be equally painful. I may have to last-rite it.